function GetRegion(R,G,B,fname,MaxSamples)

%get the x-y position of desired region
[x,y] = ginput(2);
x = floor(x);
y = floor(y);

x1 = min(x); x2 = max(x);
y1 = min(y); y2 = max(y);

% extract pixels in region
regionR = R(y1:y2,x1:x2);
regionG = G(y1:y2,x1:x2);
regionB = B(y1:y2,x1:x2);

% form a Nx3 vector
region = [regionR(:)  regionG(:) regionB(:)];

[rows,columns] = size(region);

if rows>MaxSamples 
  subsample = floor(rows/MaxSamples);
  region = region(1:subsample:rows,:);
end

save(fname,'region','-ASCII');



